package cz.jzitnik.game.items;

import cz.jzitnik.tui.Sprite;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public class Item {
    private String name;
    private ItemType type;
    private Sprite sprite;
    private int durability;
    private int miningDecrease = 0;

    public Item(String name, ItemType type, Sprite sprite, int durability) {
        this.name = name;
        this.type = type;
        this.sprite = sprite;
        this.durability = durability;
    }
}
